#
# spec file for package libxml2 (Version 2.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libxml2
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
%define prefixgnome /opt/gnome
Copyright:	LGPL
Group:		X11/Libraries
Autoreqprov:	on
Summary:      Library to manipulate XML files (version 2)
Version:      2.4.3
Release:      30
Source:		ftp://xmlsoft.org/%{name}-%{version}.tar.bz2
# ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/%{name}-%{version}.tar.bz2
Patch: libxml2-configure.dif
Patch1:	libxml2-no-example.diff
BuildRoot:	%{_tmppath}/%{name}-root
URL: http://xmlsoft.org

%description
Version 2 of libxml.
XML is said to be the upcoming standard file format of the World Wide Web.
Many applications use libxml to load and save extensible datastructures
and the new webformat.

Authors:
--------
    Daniel Veillard <Daniel.Veillard@imag.fr> 
    Alejandro Forero <bachue@bachue.com> 
    Chris Lahey <clahey@umich.edu> 
    Christopher Blizzard <blizzard@appliedtheory.com> 
    James Henstridge <james@daa.com.au> 
    Jody Goldberg <jgoldberg@home.com> 
    Manish Vachharajani <mvachhar@vger.rutgers.edu> 
    Martin Baulig <baulig@suse.de> 
    Michael Meeks <michael@edenproject.org> 
    Miguel de Icaza <miguel@nuclecu.unam.mx> 
    Nuno Ferreira <nmrf@rnl.ist.utl.pt> 
    Raja R Harinath <harinath@cs.umn.edu> 
    Ramiro Estrugo <ramiro@eazel.com> 
    Raph Levien <raph@acm.org> 
    Sven Heinicke <sven@zen.org> 
    Timur Bakeyev <mc@bat.ru> 
    Tomasz Koczko <kloczek@pld.org.pl> 
    Tom Tromey <tromey@cygnus.com>

SuSE series: d

%package  devel
Summary:      libxml development package
Group:        Development/Libraries
Autoreqprov:  on
Requires: %{name}

%description devel
Libraries and includes to compile applications that use the libxml2.

Authors:
--------
    cf. libxml2.

SuSE series: d

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
LIBS="-L/usr/X11R6/lib" \
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
                                    --sysconfdir=%sysconfdir \
                                    --mandir=%{_mandir}
#                                    --with-html-dir=%{prefix}/doc/packages/libxml
# libz lives at /usr/X11R6/lib
make XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib"

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
     XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib" install
# make prefix=$RPM_BUILD_ROOT%{prefix} \
#      sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#      XML_LIBDIR="-L/usr/lib -L/usr/X11R6/lib" install
# (cd doc && make install-docdataDATA prefix=$RPM_BUILD_ROOT%{prefix} \
#                 HTML_DIR=$RPM_BUILD_ROOT%{prefix}/doc/packages/libxml)
%{INSTALL_DIR} $RPM_BUILD_ROOT%{prefixgnome}/lib
cd $RPM_BUILD_ROOT%{prefixgnome}/lib && ln -s ../../../usr/lib/xml2Conf.sh .
chmod +x $RPM_BUILD_ROOT%{prefix}/lib/lib*.so.*
/sbin/ldconfig -n $RPM_BUILD_ROOT%{prefix}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO
%{prefix}/lib/lib*.so.*
%{_bindir}/xmllint
%{_mandir}/*/*

%files devel
%defattr(-, root, root)
%doc doc/*.{html,gif}
%doc doc/html
%doc example
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{_bindir}/xml2-config
%{prefix}/include/*
%{_libdir}/pkgconfig
%{prefixgnome}/lib/*.sh
%{_datadir}/aclocal/libxml.m4

%changelog -n libxml2
* Fri Aug 24 2001 - ke@suse.de
- Update to version 2.4.3; from the announcement (cf. libxslt):
- Implement XML Catalog Specification from August 6:
  http://www.oasis-open.org/committees/entity/spec-2001-08-06.html
  http://xmlsoft.org/catalog.html
- New NaN and Infinity code.
- A number of small bugfixes.
* Fri Aug 17 2001 - ro@suse.de
- re-enabled suse_update_config and added autoconf/automake
  sequence.
* Fri Aug 17 2001 - ke@suse.de
- Update to version 2.4.2.
- Drop suse_update_config (seems to confuse auto* at the moment).
* Fri Aug 10 2001 - kukuk@suse.de
- Revert change to ldconfig call
* Thu Jul 26 2001 - ke@suse.de
- Update to version 2.4.1
- Call 'ldconfig' only for UID = 0.
* Wed Jul 11 2001 - ke@suse.de
- Update to version 2.4.0.
- Call 'ldconfig' during build (as required by SuSE Package
  Conventions).
* Wed Jul 04 2001 - adrian@suse.de
- xml2-config --cflags will not output -I/usr/include anymore
  this causes compilation failures with gcc3 due to the wrong
  include path order
* Fri Jun 29 2001 - ke@suse.de
- Update to version 2.3.13.
- Apply libxml2-no-example.diff not to try to compile the "example".
* Mon May 21 2001 - ke@suse.de
- Update to version 2.3.9
* Sat Apr 14 2001 - adrian@suse.de
- update to 2.3.6
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 - ke@suse.de
- Initial package: version 2.3.0 [#2861].
